Median of the sum of the base fee and priority fee that day
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/transaction-fee-med-native \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/transaction-fee-med-native?project=arbitrum"
{ "arbitrum": [ { "date": "2026-02-19", "value": 0.0000010436332727633514 }, { "date": "2026-02-18", "value": 0.000001067151540536685 }, { "date": "2026-02-17", "value": 0.0000010598666149682186 }, { "date": "2026-02-16", "value": 0.0000010204485961513081 }, { "date": "2026-02-15", "value": 0.000001046072099210645 } ] }
Project slug (comma-separated for multiple).
arbitrum
base
ethereum
hyperevm
katana
megaeth
monad
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK